txtstyle(3)

TextStyle

Inherits from: String

Maturity Index: Experimental

Class Description

Temporary implementation of a class such as the Smalltalk (Squeak) class TextStyle . This implementation is merely a subclass of String and only implements the methods named: and name of the Squeak counterpart.

Method types

Creation
    * default
    * named:

Accessing
    * name

Printing
    * printOn:

Methods

default
    + default

named:
    + named :(STR) name

name
    - ( STR ) name

printOn:
    - printOn :(IOD) aFile